# file: xmlSimple5.pl

use chilkat;

# Perl example to parse an XML document with attributes
$xml = new chilkat::CkXml();

# Parse this XML:
# <?xml version="1.0" encoding="utf-8" ?>
# <employees>
# 	<employee age="43" sex="M" department="Operations">John Doe</employee>
# 	<employee age="31" sex="F" department="Accounts">Jane Doe</employee>
# 	<employee age="32" sex="M" department="Human Resources">Be Goode</employee> 
# </employees>
	
$xml->LoadXmlFile("employees.xml");

# Find the node having a tag of "employee" and content of "John Doe"
$emp = $xml->SearchForContent($xml,"employee","John Doe");

# Print the values of the age and department attributes:
print "John is " . $emp->attr("age") . " years old and works in " . $emp->attr("department");


