# file: xmlSimple2.pl

use chilkat;

# Read a simple XML file in Perl.
$xml = new chilkat::CkXml();

# Read this XML:
# <?xml version="1.0" encoding="utf-8" ?>
# <employee>
#         <name>John Doe</name>
#         <age>43</age>
#         <sex>M</sex>
#         <department>Operations</department>
# </employee>
	
# Load the XML file
$xml->LoadXmlFile("employee.xml");

# access XML data
print $xml->childContent('name') . " is " . $xml->childContent('age') . " years old and works in the " . $xml->childContent('department') . " department\n";

# Here's the output:
# John Doe is 43 years old and works in the Operations department
	
	