# file: xmlSimple3.pl

use chilkat;

# Perl example to create an XML document with records
$xml = new chilkat::CkXml();

# Create this XML:
# <?xml version="1.0" encoding="utf-8" ?>
# <data>
#   <anon>
#     <anon>
#       <country>england</country>
#       <capital>london</capital>
#     </anon>
#     <anon>
#       <country>norway</country>
#       <capital>oslo</capital>
#     </anon>
#     <anon>
#       <country>india</country>
#       <capital>new delhi</capital>
#     </anon>
#   </anon>
# </data>
	
$xml->put_Tag("data");

$anon0 = $xml->NewChild("anon","");

$anon1 = $anon0->NewChild("anon","");
$anon1->NewChild2("country","england");
$anon1->NewChild2("capital","london");

$anon1 = $anon0->NewChild("anon","");
$anon1->NewChild2("country","norway");
$anon1->NewChild2("capital","oslo");

$anon1 = $anon0->NewChild("anon","");
$anon1->NewChild2("country","india");
$anon1->NewChild2("capital","new delhi");

$xml->SaveXml("output/countries.xml");

