# file: xmlSimple4.pl

use chilkat;

# Perl example to create an XML document with attributes
$xml = new chilkat::CkXml();

# Create this XML:
# <?xml version="1.0" encoding="utf-8" ?>
# <employees>
# 	<employee age="43" sex="M" department="Operations">John Doe</employee>
# 	<employee age="31" sex="F" department="Accounts">Jane Doe</employee>
# 	<employee age="32" sex="M" department="Human Resources">Be Goode</employee> 
# </employees>
	
$xml->put_Tag("employees");

$emp = $xml->NewChild("employee","John Doe");
$emp->AddAttribute("age","44");
$emp->AddAttribute("sex","M");
$emp->AddAttribute("department","Operations");

$emp = $xml->NewChild("employee","Jane Doe");
$emp->AddAttribute("age","35");
$emp->AddAttribute("sex","F");
$emp->AddAttribute("department","Accounts");

$emp = $xml->NewChild("employee","Bea Goode");
$emp->AddAttribute("age","33");
$emp->AddAttribute("sex","M");
$emp->AddAttribute("department","Human Resources");

$xml->SaveXml("output/employees.xml");

